import cv2

from vizutil import *

####################
####################

# Creates an OpenCV Mat representing a maze
# 
# When multiplier is greater than 1, shapes should fit
# entirely within the resulting enlarged square 
# (multiplier x multiplier), thereby resulting in a visual grid
# 
# Input: [[maze row 1], [maze row 2],...], visual multiplier, color map (no costs), start location, finish location
def mazeMat(maze, multiplier, colormap, start, finish):
	
	#########################
	# Replace with your code!
	v = newMat(100, 100, (255, 255, 255))
	cv2.circle(v, (30, 30), 10, (0,0,0), -1)
	cv2.circle(v, (70, 30), 10, (0,0,0), -1)
	cv2.rectangle(v, (20,70), (80,80), (0,0,0), -1)
	#########################

	return v

# Convenience function to show a maze and
# wait until a key is pressed
# !! Do not change !!
def showMaze(maze, start, finish, multiplier, colors):
	mat = mazeMat(maze, multiplier, colorMap(colors), start, finish)
	showAndWait(mat, "Maze ({:,d} x {:,d} = {:,d} states)".format(len(maze), len(maze[0]), len(maze)*len(maze[0])))

# Uses circles to visually mark a maze solution path
# (and returns the total path cost)
def mazeAddPath(mat, multiplier, path, problem):
	totalcost = 0
	
	# Your code here!
		
	return totalcost

####################
####################

# Marks a solution path on an image
def origAddPath(mat, offset, multiplier, path, problem):
	loc = problem.getStartLocation()
	# Your code here!
